Package mvpa :: Package misc :: Module transformers :: Class OverAxis

[hide private]
[frames] | no frames]

# Class OverAxis

source code

Helper to apply transformer over specific axis

Instance Methods | [hide private]

__init__(self, transformer, axis=None) Initialize transformer wrapper with an axis. | source code

__call__(self, x, *args, **kwargs) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, transformer, axis=None)
(Constructor)

source code

Initialize transformer wrapper with an axis.

Parameters:
  - `transformer` - A callable to be used
  - `axis` (None or int) - If None -- apply transformer across all the data. If some int -- over that axis
Overrides: object.__init__